### Class

# Gtk CustomSorter

#### Description [src]

    final class Gtk.CustomSorter : Gtk.Sorter
    {
      /* No available fields */
    }

Sorts items via a callback function.

#### Ancestors

- GtkSorter
- GObject

#### Constructors

###### gtk_custom_sorter_new

Creates a new `GtkSorter` that works by calling `sort_func` to compare items.

#### Instance methods

###### gtk_custom_sorter_set_sort_func

Sets (or unsets) the function used for sorting items.

##### Methods inherited from GtkSorter (3)

###### gtk_sorter_changed

Notifies all users of the sorter that it has changed.

###### gtk_sorter_compare

Compares two given items according to the sort order implemented by the sorter.

###### gtk_sorter_get_order

Gets the order that `self` conforms to.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GtkSorter (1)

###### GtkSorter::changed

Emitted whenever the sorter changed.

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct GtkCustomSorterClass {
      GtkSorterClass parent_class;

    }

No description available.

###### Class members

`parent_class: GtkSorterClass`

  No description available.